# rbldns patch by Pejman Moghadam - http://www.pmoghadam.com
# change default TTL from 2048 to 120
# diff -u rbldns.c.orig rbldns.c > rbldns.c.patch
--- rbldns.c.orig       2010-05-13 09:46:18.000000000 +0430
+++ rbldns.c    2010-05-13 09:46:56.000000000 +0430
@@ -65,12 +65,12 @@
   }

   if (flaga) {
-    if (!response_rstart(q,DNS_T_A,2048)) return 0;
+    if (!response_rstart(q,DNS_T_A,120)) return 0;    /* patch : changed from 2048 to 120 */
     if (!response_addbytes(data,4)) return 0;
     response_rfinish(RESPONSE_ANSWER);
   }
   if (flagtxt) {
-    if (!response_rstart(q,DNS_T_TXT,2048)) return 0;
+    if (!response_rstart(q,DNS_T_TXT,120)) return 0;  /* patch : changed from 2048 to 120 */
     ch = dlen - 4;
     if (!response_addbytes(&ch,1)) return 0;
     if (!response_addbytes(data + 4,dlen - 4)) return 0;
